import { Recordable } from '@/config/interface'

//菜单主题类型
export enum ThemeEnum {
    LIGHT = 'light',
    DARK = 'dark'
}
export enum ChannelEnum {
    USER_PLATFORM = 0,
    STAFF_PLATFORM = 1
}
// 客户端
export enum ClientEnum {
    MP_WEIXIN = 1, // 微信-小程序
    OA_WEIXIN = 2, // 微信-公众号
    H5 = 3, // H5
    IOS = 5, //苹果
    ANDROID = 6, //安卓
    MP_DOUYIN = 7 //抖音
}

export enum SMSEnum {
    LOGIN = 101,
    BIND_MOBILE = 102,
    CHANGE_MOBILE = 103,
    FIND_PASSWORD = 104,
    SMS_CODE = 105
}

export enum SearchTypeEnum {
    HISTORY = 'history'
}

// 页面状态
export enum PageStatusEnum {
    LOADING = 'loading', // 加载中
    NORMAL = 'normal', // 正常
    ERROR = 'error', // 异常
    EMPTY = 'empty' // 为空
}

export enum LoginTypeEnum {
    MOBILE = 'mobile',
    ACCOUNT = 'account',
    MNP = 'mnp',
    DY = 'byte'
}
export enum SexEnum {
    MALE = 1, //男
    FEMALE = 2 //女
}
export const sexEnumMap: Recordable<number, string> = {
    [SexEnum.MALE]: '男',
    [SexEnum.FEMALE]: '女'
}
export const DICT_KEY = 'dict'
